import { Poly } from "@polygonjs/polygonjs/dist/src/engine/Poly";
export class CoreMapboxClient {
  static token() {
    const plugin = Poly.pluginsRegister.pluginByName("mapbox");
    const token = plugin.token();
    return token;
  }
  static integration_data() {
    const token = this.token();
    if (token) {
      return {
        name: "mapbox",
        data: { token }
      };
    }
  }
}
CoreMapboxClient.CSS_URL = "https://api.mapbox.com/mapbox-gl-js/v1.12.0/mapbox-gl.css";
